SecureHashKt
Keywords: net.corda.core.crypto.SecureHashKt class
Date: 2023-09-18

net.corda.core.crypto

## Class SecureHashKt

- net.corda.core.crypto.SecureHashKt

-     public class SecureHashKt

- - ### Constructor Detail

    - #### SecureHashKt

          public SecureHashKt()

  - ### Method Detail

    - #### isZero

          public static boolean isZero(@NotNull
                                       OpaqueBytes $this$isZero)

    - #### sha256

          @NotNull
          public static net.corda.core.crypto.SecureHash.SHA256 sha256(@NotNull
                                                                                kotlin.Array[] $this$sha256)

      Compute the SHA-256 hash for the contents of the ByteArray.

      See Also:
        ByteArray

    - #### sha256

          @NotNull
          public static net.corda.core.crypto.SecureHash.SHA256 sha256(@NotNull
                                                                                OpaqueBytes $this$sha256)

      Compute the SHA-256 hash for the contents of the `class OpaqueBytes`.

      See Also:
        `class OpaqueBytes`

    - #### hashAs

          @NotNull
          public static SecureHash hashAs(@NotNull
                                                   kotlin.Array[] $this$hashAs,
                                                   @NotNull
                                                   java.lang.String algorithm)

      Compute the `algorithm` hash for the contents of the ByteArray.

      See Also:
        `algorithm`, ByteArray

    - #### hashAs

          @NotNull
          public static SecureHash hashAs(@NotNull
                                                   OpaqueBytes $this$hashAs,
                                                   @NotNull
                                                   java.lang.String algorithm)

      Compute the `algorithm` hash for the contents of the `class OpaqueBytes`.

      See Also:
        `algorithm`, `class OpaqueBytes`

    - #### getAlgorithm

          @NotNull
          public static java.lang.String getAlgorithm(@NotNull
                                                               SecureHash $this$algorithm)

      Hash algorithm.